oracle.sql

## Class DatumWithConnection

- java.lang.Object
- - oracle.sql.Datum
  - - oracle.sql.DatumWithConnection

All Implemented Interfaces:
  Serializable, oracle.jdbc.internal.OracleDatumWithConnection

Direct Known Subclasses:
  ARRAY, BFILE, BLOB, CLOB, OPAQUE, REF, STRUCT

    public abstract class DatumWithConnection
    extends Datum
    implements oracle.jdbc.internal.OracleDatumWithConnection

A supper class for some Oracle specific datatypes, such as BFILE, BLOB, etc.

See Also:
  Serialized Form

### Field Summary

Fields
`protected DatumWithConnection` `targetDatumWithConnection`

### Fields inherited from class oracle.sql.Datum

`ojiOracleDatumWithConnection, targetDatum`

### Constructor Summary

Constructors
Constructor and Description
`DatumWithConnection()`
`DatumWithConnection(byte[] elements)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static void` `assertNotNull(Connection conn)`
`static void` `assertNotNull(TypeDescriptor desc)`
`oracle.jdbc.driver.OracleConnection` `getConnection()` Deprecated. since 9.0.0. Use ``getJavaSqlConnection()`` or ``getInternalConnection()``, or Use ``getOracleConnection()`` instead.
`protected oracle.jdbc.internal.OracleConnection` `getConnectionDuringExceptionHandling()`
`Connection` `getJavaSqlConnection()` Oracle extension Return the java.sql.Connection associated with the receiver.
`OracleConnection` `getOracleConnection()` Oracle extension.

### Methods inherited from class oracle.sql.Datum

`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, bytesEqual, bytesHashCode, byteValue, characterStreamValue, compareBytes, dateValue, doubleValue, equals, floatValue, getBytes, getLength, getStream, intValue, isConvertibleTo, isNull, longValue, makeJdbcArray, setBytes, setShareBytes, shareBytes, stringValue, stringValue, timestampValue, timestampValue, timeValue, timeValue, toClass, toJdbc`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.internal.OracleDatumWithConnection

`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, byteValue, characterStreamValue, dateValue, doubleValue, floatValue, getBytes, getInternalConnection, getLength, getStream, intValue, isConvertibleTo, longValue, makeJdbcArray, setBytes, setShareBytes, shareBytes, stringValue, stringValue, timestampValue, timestampValue, timeValue, timeValue, toJdbc`

### Field Detail

#### targetDatumWithConnection

    protected DatumWithConnection targetDatumWithConnection

### Constructor Detail

#### DatumWithConnection

    public DatumWithConnection(byte[] elements)
                        throws SQLException

Throws:
  `SQLException`

#### DatumWithConnection

    public DatumWithConnection()

### Method Detail

#### assertNotNull

    public static void assertNotNull(Connection conn)
                              throws SQLException

Throws:
  `SQLException`

#### assertNotNull

    public static void assertNotNull(TypeDescriptor desc)
                              throws SQLException

Throws:
  `SQLException`

#### getJavaSqlConnection

    public Connection getJavaSqlConnection()
                                    throws SQLException

Oracle extension Return the java.sql.Connection associated with the receiver. Since 9.0.0 not all Oracle JDBC connection objects are assignment compatible with oracle.jdbc.driver.OracleConnection. If the connection is wrapped, return the outermost wrapper.

Specified by:
  `getJavaSqlConnection` in interface `oracle.jdbc.internal.OracleDatumWithConnection`
Returns:
  the connection
Throws:
  `SQLException` - if an error occurs
Since:
  9iR2

#### getOracleConnection

    public OracleConnection getOracleConnection()
                                         throws SQLException

Oracle extension. The OracleConnection object associated with the object. If the internal connection is wrapped return the wrapping instance.

Specified by:
  `getOracleConnection` in interface `oracle.jdbc.internal.OracleDatumWithConnection`
Returns:
  the possibly wrapped connection for external use
Throws:
  `SQLException` - if an error occurs
Since:
  9.2

#### getConnection

    public oracle.jdbc.driver.OracleConnection getConnection()
                                                      throws SQLException

Deprecated. since 9.0.0. Use ``getJavaSqlConnection()`` or ``getInternalConnection()``, or Use ``getOracleConnection()`` instead.
Oracle extension. Returns the oracle.jdbc.driver.OracleConnection object associated with the receiver. This is always a physical connection. Any logical connection or connection wrapper associated with the physical connection is ignored by this mehtod

Specified by:
  `getConnection` in interface `oracle.jdbc.internal.OracleDatumWithConnection`
Returns:
  the connection if it is assignment compatible with oracle.jdbc.driver.OracleConnection
Throws:
  `SQLException` - if the connection is not assignment compatible

#### getConnectionDuringExceptionHandling

    protected oracle.jdbc.internal.OracleConnection getConnectionDuringExceptionHandling()

Overrides:
  `getConnectionDuringExceptionHandling` in class `Datum`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.